/* -*-c-*-
 *
 * Definitions for SLIP
 *
 * (c) 2008 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of Trivial IP Encryption (TrIPE).
 *
 * TrIPE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TrIPE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TrIPE; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef SLIP_H
#define SLIP_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Magic constants ---------------------------------------------------*/

/* --- SLIP protocol --- */

#define SL_END 0xc0			/* End-of-packet boundary */
#define SL_ESC 0xdb			/* Next character is magic */
#define SL_ESCEND 0xdc			/* Really meant @SL_END@ */
#define SL_ESCESC 0xdd			/* Really meant @SL_ESC@ */

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
